Bug 182260 - X server segfaults
X server segfaults
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks: FC6Target
  Show dependency treegraph
 
Reported: 2006-02-21 10:05 EST by David Woodhouse
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-19 22:53:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fc5t3 xorg.conf (2.59 KB, text/plain)
2006-02-21 10:05 EST, David Woodhouse
no flags Details
Log of failing X server (32.17 KB, text/plain)
2006-02-21 10:07 EST, David Woodhouse
no flags Details
working xorg.conf, for reference (2.71 KB, text/plain)
2006-02-21 10:08 EST, David Woodhouse
no flags Details
Log of working X server (63.62 KB, text/plain)
2006-02-21 10:09 EST, David Woodhouse
no flags Details

  None (edit)
Description David Woodhouse 2006-02-21 10:05:40 EST
On my dual G5 the X server segfaults during install, and then after falling back
to a text installation it also segfaults in the real system. It worked for
firstboot, but after selecting the 1920x1200 mode I desired for my flat panel,
it started to die.

Program received signal SIGSEGV, Segmentation fault.
xf86InitViewport (pScr=0x10252de8) at xf86Cursor.c:121
121       pScr->frameX1 = pScr->frameX0 + pScr->modes->HDisplay - 1;
(gdb) p pScr->modes
$1 = 0x0
(gdb) bt
#0  xf86InitViewport (pScr=0x10252de8) at xf86Cursor.c:121
#1  0x10067910 in InitOutput (pScreenInfo=0x10224614, argc=6, argv=0xffabaa24)
    at xf86Init.c:693
#2  0x24000482 in ?? ()
#3  0x1002702c in main (argc=6, argv=0xffabaa24, envp=Variable "envp" is not
available.
) at main.c:372
Comment 1 David Woodhouse 2006-02-21 10:05:40 EST
Created attachment 124952 [details]
fc5t3 xorg.conf
Comment 2 David Woodhouse 2006-02-21 10:07:07 EST
Created attachment 124953 [details]
Log of failing X server
Comment 3 David Woodhouse 2006-02-21 10:08:34 EST
Created attachment 124954 [details]
working xorg.conf, for reference
Comment 4 David Woodhouse 2006-02-21 10:09:58 EST
Created attachment 124955 [details]
Log of working X server
Comment 5 Glen 2006-02-26 01:05:01 EST
I don't think this is related exactly, but on fc5 test3 , on x86 hardware, X
segfaults on me every now and again.  Here's what the log says:

Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x87) [0x80b85e7]
1: [0x7f8420]
2: /usr/bin/Xorg(CopyGC+0x1d4) [0x80982e4]
3: /usr/bin/Xorg(ProcCopyGC+0x105) [0x8086d85]
4: /usr/bin/Xorg(Dispatch+0x19b) [0x80888eb]
5: /usr/bin/Xorg(main+0x487) [0x80701d7]
6: /lib/i686/nosegneg/libc.so.6(__libc_start_main+0xdc) [0x68b7a4]
7: /usr/bin/Xorg(FontFileCompleteXLFD+0xb9) [0x806f511]

Fatal server error:
Caught signal 11.  Server aborting
Comment 6 Glen 2006-02-26 04:13:12 EST
Oops, guess I should mention, xorg-x11-server-Xorg-1.0.1-7 on my end.
Comment 7 Glen 2006-02-27 11:14:40 EST
On my end, this only seems to happen under KDE for some reason.
Comment 8 Glen 2006-02-27 23:11:24 EST
Looks like I spoke too soon.  Just crashed on me when Gnome was running:

Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x87) [0x80b85e7]
1: [0x4a9420]
2: /usr/lib/xorg/modules/libfb.so(fbCopyAreammx+0x192) [0x20b3f2]
3: /usr/lib/xorg/modules/libfb.so(fbCopyNtoN+0x20c) [0x1f80ac]
4: /usr/lib/xorg/modules/libfb.so(fbCopyRegion+0xbb) [0x1f6f9b]
5: /usr/lib/xorg/modules/libfb.so(fbDoCopy+0x46f) [0x1f75ff]
6: /usr/lib/xorg/modules/libfb.so(fbCopyArea+0x78) [0x1f77c8]
7: /usr/lib/xorg/modules/libxaa.so [0xca84bd]
8: /usr/lib/xorg/modules/libxaa.so(XAACopyArea+0xe7) [0xca9737]
9: /usr/bin/Xorg [0x8152bb9]
10: /usr/bin/Xorg [0x812ddc4]
11: /usr/bin/Xorg [0x812ec32]
12: /usr/bin/Xorg [0x812f9c6]
13: /usr/bin/Xorg(Dispatch+0x19b) [0x80888eb]
14: /usr/bin/Xorg(main+0x487) [0x80701d7]
15: /lib/i686/nosegneg/libc.so.6(__libc_start_main+0xdc) [0x68b7a4]
16: /usr/bin/Xorg(FontFileCompleteXLFD+0xb9) [0x806f511]

Fatal server error:
Caught signal 11.  Server aborting


Course now I'm kinda worried about my system.  I'm gonna to run memtest and see
if that still comes up clean.
Comment 9 Glen 2006-02-28 02:00:56 EST
well memtest ran a few hours with no errors.  And I did have mandriva on this
thing previously without much problems, so now I'm feeling pretty confident it's
not a hardware problem.
Comment 11 Mike A. Harris 2006-03-08 05:57:11 EST
Glen:  None of the backtraces you've attached are related to this bug report.
The only thing in common is that you're experiencing a SEGV.  Please report
those unrelated SEGV's to X.Org at http://bugs.freedesktop.org bugzilla in
the "xorg" component.


This bug is about an X server startup failure on PowerPC hardware.
Comment 12 Mike A. Harris 2006-03-08 06:00:07 EST
(In reply to comment #0)
> On my dual G5 the X server segfaults during install, and then after falling back
> to a text installation it also segfaults in the real system. It worked for
> firstboot, but after selecting the 1920x1200 mode I desired for my flat panel,
> it started to die.
> 
> Program received signal SIGSEGV, Segmentation fault.
> xf86InitViewport (pScr=0x10252de8) at xf86Cursor.c:121
> 121       pScr->frameX1 = pScr->frameX0 + pScr->modes->HDisplay - 1;
> (gdb) p pScr->modes
> $1 = 0x0
> (gdb) bt
> #0  xf86InitViewport (pScr=0x10252de8) at xf86Cursor.c:121
> #1  0x10067910 in InitOutput (pScreenInfo=0x10224614, argc=6, argv=0xffabaa24)
>     at xf86Init.c:693
> #2  0x24000482 in ?? ()
> #3  0x1002702c in main (argc=6, argv=0xffabaa24, envp=Variable "envp" is not
> available.
> ) at main.c:372


David, does this still occur with FC5 current, and is this backtrace
consistent?

Comment 13 David Woodhouse 2006-03-08 06:07:33 EST
Yeah, I believe so. I think it's the result of two bugs. First we end up with an
empty mode list because something went wrong. Then we SEGV because we assume the
mode list isn't empty. I thought both of those got fixed before Xorg 6.9 though.
Comment 14 Mike A. Harris 2006-06-27 13:12:51 EDT
Is this still a problem in rawhide?
Comment 15 John Thacker 2007-01-19 22:53:29 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.